{{/*

    HTML Table with Messages in the BPMN-diagram
    
    Context: . (diagramSource in BPMN/XML formaat)

*/}}

{{ $source := . | transform.Unmarshal }}
{{ $messageList := index $source "message" }}
{{ $msgNameList := slice }}

{{ range $messageList }}
    {{ $msgName := index . "-name" }}

    {{ if not (in $msgNameList $msgName) }}
        {{ $msgNameList = $msgNameList | append $msgName }}
    {{ end }}

{{ end }}

{{ $berichtenRef := print "/" (index site.Params.mainSections 0) "/berichten/" }}

<div>
  <table>
      <tr>
        <th>Bericht</th>
      </tr>
      {{ range $msgNameList }}
      <tr>
        <td><a href="{{ print site.BaseURL $berichtenRef "/" (lower .) }}">{{ . }}</a></td>
      </tr>
      {{ end }}
  </table>
</div>
